#
# spec file for package python-pygments-pytest
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
%{?sle15_python_module_pythons}
Name:           python-pygments-pytest
Version:        2.3.0
Release:        2.3
Summary:        A pygments lexer for pytest output
License:        MIT
URL:            https://github.com/asottile/pygments-pytest
Source:         https://github.com/asottile/pygments-pytest/archive/v%{version}.tar.gz
BuildRequires:  %{python_module pygments-ansi-color >= 0.0.3}
BuildRequires:  %{python_module pygments}
BuildRequires:  %{python_module pytest >= 4.0.1}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pygments
Requires:       python-pytest >= 4.0.1
BuildArch:      noarch
%python_subpackages

%description
This library provides a pygments lexer called "pytest".

%prep
%setup -q -n pygments-pytest-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.md
%license LICENSE
%pycache_only %{python_sitelib}/__pycache__/*.pyc
%{python_sitelib}/pygments_pytest.py
%{python_sitelib}/pygments_pytest-%{version}*-info

%changelog
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Wed Nov 30 2022 Daniel Garcia <daniel.garcia@suse.com>
- Remove python_module macro definition
- More specific python_sitelib in %%files
- Update to 2.3.0:
  * Update azure-pipelines template repositories
  * stricter mypy settings
  * exit(main()) -> raise SystemExit(main()) pt2
  * drop python3.6 support
  * coloring changes for pytest 7.2
* Wed Jan  6 2021 Markéta Machová <mmachova@suse.com>
- Update to 2.2.0
  * handle skip / xfail reasons (change in pytest 6.2)
* Fri Aug 21 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 2.1.0
  * Use new --code-highlight=no in pytest 6 (and prevent tests from failing)
* Wed Apr 29 2020 Matej Cepl <mcepl@suse.com>
- Switching off the failing coloring tests, it looks like
  gh#asottile/pygments-pytest#18, but not completely certain
  about it.
* Mon Mar 16 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 2.0.0:
  * Fixes for new pytests
  * Drop support for python2
* Wed Jan 15 2020 Tomáš Chvátal <tchvatal@suse.com>
- Disable tests run as now they all fail under pytest 5.3 due to
  slight coloring change that does not match fixtures
* Tue Nov  5 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.3.1:
  * no upstream changelog
* Fri Aug 30 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.3.0:
  * no upstream changelog
* Tue Mar 26 2019 Jan Engelhardt <jengelh@inai.de>
- Add missing description.
* Fri Mar  8 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.2.0:
  * Fixes for new pytest
* Thu Jan 31 2019 Tomáš Chvátal <tchvatal@suse.com>
- Initial commit, needed by pytest 4.x
